
import android.content.Intent;
import android.os.Bundle;
import ketai.net.bluetooth.*;
import ketai.ui.*;
import ketai.net.*;

PFont fontMy;
boolean bReleased = true; //no permament sending when finger is tap
int pos=0;

//********************************************************************
// The following code is required to enable bluetooth at startup.
//********************************************************************
boolean isConfiguring = true;
String info = "";

KetaiBluetooth bt;
KetaiList klist;
ArrayList devicesDiscovered = new ArrayList();

void onCreate(Bundle savedInstanceState) {
 super.onCreate(savedInstanceState);
 bt = new KetaiBluetooth(this);
}

void onActivityResult(int requestCode, int resultCode, Intent data) {
 bt.onActivityResult(requestCode, resultCode, data);
}

void onKetaiListSelection(KetaiList klist) {
 String selection = klist.getSelection();
 bt.connectToDeviceByName(selection);
 //dispose of list for now
 klist = null;
}

//Call back method to manage data received
void onBluetoothDataEvent(String who, byte[] data) {
String st; 
  if (isConfiguring)
 return;
 //received
   st = new String(data);
  for (int i=0;i<st.length();i++)
   {
     //info="";
     if (st.charAt(i)==3) {
       fond(); 
       ligne();
       info="";
     }
     else info+=st.charAt(i)   ;
   }  

// info += new String(data);
 //clean if string to long
 //if(info.length() > 200)  {fond(); ligne(); }
 if(info.length() > 350)  info = "";
}
//********************************************************************
//********************************************************************
//********************************************************************
PImage img ;



void setup() {
 orientation(0);
 background(0);
 
 //start listening for BT connections
 bt.start();
 isConfiguring = true;

 //font size
 fontMy = createFont("SansSerif", 20);
 textFont(fontMy);
}


void fond(){
 background(78, 93, 75);
 if (height>460) image(img,300,50,450,450);
 fill(0,0,255);
  noStroke();
 fontMy = createFont("SansSerif", 40);
 textFont(fontMy);
  textAlign(CENTER);
  text("Lycée Clerc RG-2014",width/2,height-30);
}

void ligne(){
  fontMy = createFont("SansSerif", 20);
 textFont(fontMy);
  fill(255);
  noStroke();
  textAlign(LEFT);
  text(info, 10, 10);
}


void draw() {

  if (isConfiguring)
 {
  ArrayList names;
  background(78, 93, 75);
  klist = new KetaiList(this, bt.getPairedDeviceNames());
  isConfiguring = false;
  img = loadImage("compteur_edf1.jpg");
  fond();
 }
 else
 {
//  background(0,50,0);
/*  if((mousePressed) && (bReleased == true))
  {
 //send with BT
  byte[] data = {'o','n','\r'};
  bt.broadcast(data);
 //first tap off to send next message
  bReleased = false;
  }
  
  if(mousePressed == false)
  {
  bReleased = true; //finger is up
  }

 //print received data

  pos+=1;
  if (pos>100) { fond(); pos=0; }

  fontMy = createFont("SansSerif", 20);
 textFont(fontMy);
  fill(255);
  noStroke();
  textAlign(LEFT);
  text(info, 10, 10);
*/ }
}



